# Prs2d_TypeOfTolerance.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Prs2d_TypeOfTolerance { Prs2d_TOT_TAPER, Prs2d_TOT_SYMTOTAL, Prs2d_TOT_SYMCIRCULAR, Prs2d_TOT_SYMMETRY, Prs2d_TOT_CONCENTRIC, Prs2d_TOT_POSITION, Prs2d_TOT_ANGULARITY, Prs2d_TOT_PERPENDIC, Prs2d_TOT_PARALLELISM, Prs2d_TOT_SURFACEPROF, Prs2d_TOT_LINEPROF, Prs2d_TOT_CYLINDRIC, Prs2d_TOT_CIRCULARITY, Prs2d_TOT_FLATNESS, Prs2d_TOT_STRAIGHTNESS, Prs2d_TOT_NONE }

## Enumeration Type Documentation

enum Prs2d_TypeOfTolerance

Enumeration values:

  Prs2d_TOT_TAPER |
  Prs2d_TOT_SYMTOTAL |
  Prs2d_TOT_SYMCIRCULAR |
  Prs2d_TOT_SYMMETRY |
  Prs2d_TOT_CONCENTRIC |
  Prs2d_TOT_POSITION |
  Prs2d_TOT_ANGULARITY |
  Prs2d_TOT_PERPENDIC |
  Prs2d_TOT_PARALLELISM |
  Prs2d_TOT_SURFACEPROF |
  Prs2d_TOT_LINEPROF |
  Prs2d_TOT_CYLINDRIC |
  Prs2d_TOT_CIRCULARITY |
  Prs2d_TOT_FLATNESS |
  Prs2d_TOT_STRAIGHTNESS |
  Prs2d_TOT_NONE |